<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Moomap - Tất cả sản phẩm</title>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/responsive.css">

  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/js/all.min.js"></script>
  

  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">

  <!-- Latest compiled and minified CSS -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet">


  <!-- Import Datatable sau jquery -->
  <!-- Import them style bootstrap cho datatable -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>
  <!-- fonts -->
  <link rel="preconnect" href="https://fonts.googleapis.com">
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
  <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&amp;display=swap"
    rel="stylesheet">

  <!-- SweetAlert2 -->
  <link rel="stylesheet" href="plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
  <!-- Toastr -->
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css">

  <!-- Rating -->
  <link href="dist/bootstrap-rating-master/bootstrap-rating.css" rel="stylesheet">
  <script type="text/javascript" src="dist/bootstrap-rating-master/bootstrap-rating.js"></script>
  
    <!-- File js -->
  <script src="js/action.js"></script>
</head>

<body>
  <div class="body-wrapper">
    <!-- Announcement bar -->
    <div class="announcement-bar bg-dark">
      <div class="container py-2">
        <div class="row d-flex justify-content-between">
          <div class="col-md-3">
            <div class="announce-phone">
              <a class="announcement-text" href="tel: +84917354990">Call: 0917354990</a>
            </div>
          </div>
          <div class="col-md-6">
            <div class="announce">
              <p class="announcement-text text-center">Ngày quốc tế thiếu nhi - Giảm giá 30%</p>
            </div>
          </div>
          <div class="col-md-3">
            
            <div class="announce-login text-right">
              
              <a class="announcement-hello text-white" style="display: none;">Hi dungvd &nbsp;</a>
              <a href="login.html" class="announcement-login text-white"><i class="fa-regular fa-user"></i> Login
                &nbsp;</a>
              
              <span class="announcement-text"> | &nbsp;</span>
              <img class="flag-icon" src="assets/image/VN-Vietnam-Flag-icon.png" alt="">
              <span class="announcement-text">&nbsp;VNĐ</span>
            </div>

          </div>
        </div>
      </div>

    </div>




    <!-- Navbar -->
    <header class="header sticky-top border-bottom" style="background-color: #fff;">
      <div class="container">
        <div class="row">
          <div class="col-lg-3 col-md-4 col-4">
            <a href="index.html" class="logo-shop">
              <img src="assets/image/moomap-low-resolution-logo-black-on-transparent-background.png" alt=""
                class="img-thumbnail" width="50%" style="border:none">
            </a>
          </div>
          <div class="col-lg-6 col-md-12 col-12">
            <nav class="navbar navbar-expand-lg navbar-white">
              <div class="container-fluid">
                <div class="d-flex justify-content-between align-items-center w-100">
                  <a class="navbar-brand d-lg-none" href="index.html">
                    <img src="assets/image/moomap-low-resolution-logo-black-on-transparent-background.png" alt=""
                      class="img-thumbnail" width="50%" style="border:none">
                  </a>
                  <button class="navbar-toggler ml-auto" type="button" data-bs-toggle="collapse"
                    data-bs-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false"
                    aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                  </button>
                </div>

                <div class="collapse navbar-collapse col-12" id="navbarNavDropdown">
                  <ul class="navbar-nav justify-content-lg-between w-100">
                    <li class="nav-item">
                      <a class="nav-link menu-list-item" aria-current="page" href="index.html">Trang chủ</a>
                    </li>
                    <li class="nav-item dropdown" data-bs-hover="dropdown">
                      <a class="nav-link dropdown-toggle" href="all-product.html" id="navbarDropdownMenuLink"
                        role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        Shop
                      </a>
                      <ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                        <li><a class="dropdown-item" href="all-product.html">Tất cả sản phẩm</a></li>
                        <li><a class="dropdown-item" href="#">Quần áo</a></li>
                        <li><a class="dropdown-item" href="#">Giày, dép</a></li>
                        <li><a class="dropdown-item" href="#">Đồ chơi</a></li>
                      </ul>
                    </li>
                    <li class="nav-item">
                      <a class="nav-link menu-list-item" href="#">Blog</a>
                    </li>
                    <li class="nav-item">
                      <a class="nav-link menu-list-item" href="#">Pages</a>
                    </li>
                    <li class="nav-item">
                      <a class="nav-link menu-list-item" href="contact.html">Liên hệ</a>
                    </li>
                    <li class="nav-item mobile-menu-item">
                      <a class="nav-link menu-list-item" href="cart.html"><i class="fa-solid fa-cart-shopping"></i>
                        Cart<span class="number-order"> (0)</span></a>
                    </li>
                    <li class="nav-item mobile-menu-item">
                      <a class="nav-link menu-list-item" href="wishlist.html"><i class="fa-regular fa-heart"></i><span class="number-wishlist">
                          (0)</span></a>
                    </li>
                    <li class="nav-item mobile-menu-item">
                      <a class="nav-link menu-list-item announcement-login" href="login.html"><i
                          class="fa-regular fa-user"></i> Login</a>
                      <a class="nav-link info-login-mobile" href="#" id="navbarDropdownMenuLink" role="button"
                        style="display: none;" data-bs-toggle="dropdown" aria-expanded="false">
                        <span class="hi-user">&nbsp;<i class="fa-regular fa-user"></i><i
                            class="fas fa-sort-down mb-1"></i></span>
                        <ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                          <li class="account-detail"><span class="dropdown-item">Thông tin tài khoản</span></li>
                          <li class="admin-page" style="display: none;"><span class="dropdown-item">Dashboard</span>
                          </li>
                          <li class="list-order"><span class="dropdown-item">Đơn hàng của tôi</span></li>
                          <li class="btn-log-out"><span class="dropdown-item">Đăng xuất</span></li>
                        </ul>
                      </a>
                    </li>
                  </ul>
                </div>
              </div>
            </nav>
          </div>
          <div id="cart-love" class="col-lg-3 d-none d-lg-flex align-items-center justify-content-end text-right">
            <a class="text-dark" href="wishlist.html"><i
                class="fa-regular fa-heart"></i><span class="number-wishlist">(0)</span></a>&nbsp;&nbsp;
            <a id="btn-cart" class="text-dark" href="cart.html"><i class="fa-solid fa-cart-shopping"></i> Cart<span
                class="number-order">(0)</span></a>

            <!-- Phần hiển thị đăng nhập -->

            <a style="display: none;" class="nav-link info-login" href="#" id="navbarDropdownMenuLink" role="button"
              data-bs-toggle="dropdown" aria-expanded="false">
              <span class="sorting-title">&nbsp;<i class="fa-regular fa-user"></i><i
                  class="fas fa-sort-down mb-1"></i></span>
              <ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                <li class="account-detail"><span class="dropdown-item">Thông tin tài khoản</span></li>
                <li class="admin-page" style="display: none;"><span class="dropdown-item" href="#">Dashboard</span></li>
                <li class="list-order"><span class="dropdown-item">Đơn hàng của tôi</span></li>
                <li class="btn-log-out"><span class="dropdown-item" type="desc" href="#">Đăng xuất</span></li>
              </ul>
            </a>

          </div>
        </div>


      </div>
    </header>



    <!-- Main content -->
    <main>
      <!-- Navigate tab -->
      <div id="page-link" class="container navigate-tab mt-4  ">
        <div class="row">
          <div class="d-flex align-items-center">
            <a href="index.html" class="mr-2 home-page">Trang chủ</a>
            <span class="mr-2 text-muted">></span>
            <p class="mb-0">Tất cả sản phẩm</p>
          </div>
        </div>
      </div>

      <div class="colection mt-5">
        
        <div class="container">
          <div class="row">
            
            <div id="filter-col" class="col-lg-3 col-md-12 col-12">
              <div class="d-flex justify-content-end">
                <button style="display: none;" id="btn-close-filter" class="btn btn-dark mr-3">x</button>
              </div>
              <ul class="nav nav-pills nav-sidebar flex-column filter-category filter-x" data-widget="treeview" role="menu"
                data-accordion="false">
                <!-- NAVBAR -->
                <!-- Add icons to the links using the .nav-icon class
                         with font-awesome or any other icon font library -->
                <li class="nav-item menu-open">
                  <h6 class="nav-link">
                    <span class="categories-title">Giới tính</span>
                    <i class="right fas fa-angle-left"></i>
                  </h6>
                  <hr class="mt-0 ml-3 mr-4 mb-2">
                  <ul class="nav nav-treeview gender-filter">
                    <li class="nav-item" id="category-wrap">
                      <span class="nav-link ">
                        <input val="m" type="checkbox" class="category-checkbox">
                        <p class="category-type">Bé trai</p>
                      </span>
                    </li>
                    <li class="nav-item">
                      <span class="nav-link">
                        <input val="f" type="checkbox" class="category-checkbox">
                        <p class="category-type">Bé gái</p>
                      </span>
                    </li>
                  </ul>
                </li>

                <li class="nav-item menu-open ">
                  <h6 class="nav-link">
                    <span class="categories-title">Loại sản phẩm</span>
                    <i class="right fas fa-angle-left"></i>
                  </h6>
                  <hr class="mt-0 ml-3 mr-4 mb-2">
                  <ul class="nav nav-treeview line-filter">
                    <li class="nav-item">
                      <span class="nav-link ">
                        <input type="checkbox">
                        <p class="category-type">Áo khoác</p>
                      </span>
                    </li>
                    <li class="nav-item">
                      <span class="nav-link ">
                        <input type="checkbox">
                        <p class="category-type">Áo thun</p>
                      </span>
                    </li>

                    <li class="nav-item">
                      <span class="nav-link ">
                        <input type="checkbox">
                        <p class="category-type">Áo dài tay</p>
                      </span>
                    </li>

                    <li class="nav-item">
                      <span class="nav-link ">
                        <input type="checkbox">
                        <p class="category-type">Áo sơ mi</p>
                      </span>
                    </li>

                    <li class="nav-item">
                      <span class="nav-link ">
                        <input type="checkbox">
                        <p class="category-type">Quần dài</p>
                      </span>
                    </li>

                    <li class="nav-item">
                      <span class="nav-link ">
                        <input type="checkbox">
                        <p class="category-type">Quần short</p>
                      </span>
                    </li>

                    <li class="nav-item">
                      <span class="nav-link ">
                        <input type="checkbox">
                        <p class="category-type">Đầm</p>
                      </span>
                    </li>

                   
                  </ul>
                </li>

                <li class="nav-item menu-open">
                  <h6 class="nav-link ">
                    <span class="categories-title">Mức giá</span>
                    <i class="right fas fa-angle-left"></i>
                  </h6>
                  <hr class="mt-0 ml-3 mr-4 mb-2">
                  <ul class="nav nav-treeview price-filter">
                    <li class="nav-item">
                      <span class="nav-link ">
                        <input filter-type="1" type="checkbox">
                        <p class="category-type">Giá dưới 50,000đ</p>
                      </span>
                    </li>
                    <li class="nav-item">
                      <span class="nav-link">
                        <input filter-type="2" type="checkbox">
                        <p class="category-type">50,000 - 100,000đ</p>
                      </span>
                    </li>

                    <li class="nav-item">
                      <span class="nav-link ">
                        <input filter-type="3" type="checkbox">
                        <p class="category-type">100,000 - 200,000đ</p>
                      </span>
                    </li>

                    <li class="nav-item">
                      <span class="nav-link ">
                        <input filter-type="4" type="checkbox">
                        <p class="category-type">200,000 - 300,000đ</p>
                      </span>
                    </li>

                    <li class="nav-item">
                      <span class="nav-link ">
                        <input filter-type="5" type="checkbox">
                        <p class="category-type">Giá trên 300,000đ</p>
                      </span>
                    </li>
                  </ul>
                </li>
              </ul>
            </div>

            <!-- TITLE, SHORT BY, PRODUCT -->
            <div class="col-lg-9 col-md-12 col-12">
              <!-- TITLE, SHORT BY -->
              <div class="colection-title-wrap">
                <div class="colection-title-tag">
                  <h5 class="colection-title">Tất cả sản phẩm </h5>
                  <p class="number-item"></p>
                </div>
                <div class="fiter-col-btn">
                  <a id="btn-display-filter" class="text-dark"><i class="fas fa-filter"></i> Lọc</a>
                </div>
                <div class="filter-sort">
                  <a class="nav-link" href="#" id="navbarDropdownMenuLink" role="button" data-bs-toggle="dropdown"
                    aria-expanded="false">
                    <span class="sorting-title">Sắp xếp:</span>
                    <span type="default" class="active-sorting">Ngẫu nhiên <i class="fas fa-angle-down"></i></span>

                  </a>
                  <ul class="dropdown-menu type-display" aria-labelledby="navbarDropdownMenuLink">
                    <li><span class="dropdown-item" type="default" href="#">Ngẫu nhiên</span></li>
                    <li><span class="dropdown-item" type="best-seller" href="#">Best Seller</span></li>
                    <li><span class="dropdown-item" type="asc" href="#">Giá tăng dần</span></li>
                    <li><span class="dropdown-item" type="desc" href="#">Giá giảm dần</span></li>
                  </ul>
                </div>
              </div>
              <!-- product list -->
              <div class="all-product mt-3 mb-4">
                <div class="row list">
                  
                  <!-- <div class="col-xl-4 col-lg-6 col-sm-6">
                    <div class="product text-center">
                      <div class="position-relative mb-3">
                        <a class="d-block" href="detail.html"><img class="img-fluid w-100"
                            src="assets/image/product/10.jpg" alt="..."></a>
                        <div class="product-overlay">
                          <ul class="mb-0 list-inline">
                            <li class="list-inline-item m-0 p-0"><a class="btn btn-sm btn-outline-dark" href="#!"><i
                                  class="far fa-heart"></i></a></li>
                            <li class="list-inline-item m-0 p-0"><a class="btn btn-sm btn-dark" href="cart.html">Add to
                                cart</a></li>
                            <li class="list-inline-item me-0"><a class="btn btn-sm btn-outline-dark" href="#productView"
                                data-bs-toggle="modal"><i class="fas fa-expand"></i></a></li>
                          </ul>
                        </div>
                      </div>
                      <h6> <a class="reset-anchor product-name" href="detail.html">Joemalone Women prefume</a></h6>
                      <p class="small text-muted">150.000 VNĐ</p>
                    </div>
                  </div> -->

                </div>
              </div>

              <!-- PAGE navigation -->
              <nav aria-label="Page navigation example">
                <ul class="pagination justify-content-center justify-content-lg-center">
                  <!-- <li class="page-item mx-1"><a class="page-link text-dark" href="#!" aria-label="Previous"><span
                        aria-hidden="true">«</span></a></li>
                  <li class="page-item mx-1 active"><a class="page-link text-dark" href="#!">1</a></li>
                  <li class="page-item mx-1"><a class="page-link text-dark" href="#!">2</a></li>
                  <li class="page-item mx-1"><a class="page-link text-dark" href="#!">3</a></li>
                  <li class="page-item mx-1"><a class="page-link text-dark" href="#!">4</a></li>
                  <li class="page-item mx-1"><a class="page-link text-dark" href="#!">5</a></li>
                  <li class="page-item mx-1"><a class="page-link text-dark" href="#!">6</a></li>
                  <li class="page-item mx-1"><a class="page-link text-dark" href="#!">7</a></li>
                  <li class="page-item mx-1"><a class="page-link text-dark" href="#!">8</a></li>
                  <li class="page-item ms-1"><a class="page-link text-dark" href="#!" aria-label="Next"><span
                        aria-hidden="true">»</span></a></li> -->
                </ul>
              </nav>
            </div>


          </div>
        </div>
      </div>



    </main>

    <!-- FOOTER -->
    <footer class="text-center text-lg-start border border-white mt-xl-5 pt-4 bg-dark text-white">
      <!-- Grid container -->
      <div class="container p-4">
        <!--Grid row-->
        <div class="row">
          <!--Grid column-->
          <div class="col-lg-3 col-md-6 mb-4 mb-lg-0">
            <h5 class="text-uppercase mb-4">Về Moomap</h5>

            <ul class="list-unstyled mb-4">
              <li>
                <a href="#!" class="text-white">Giới thiệu về Moomap</a>
              </li>
              <li>
                <a href="#!" class="text-white">Tạp chí của Moomap</a>
              </li>
              <li>
                <a href="#!" class="text-white">Nhóm của Moomap</a>
              </li>
            </ul>
          </div>
          <!--Grid column-->

          <!--Grid column-->
          <div class="col-lg-3 col-md-6 mb-4 mb-lg-0">
            <h5 class="text-uppercase mb-4">Mua sắm</h5>

            <ul class="list-unstyled">
              <li>
                <a href="#!" class="text-white">Bé trai</a>
              </li>
              <li>
                <a href="#!" class="text-white">Bé gái</a>
              </li>
              <li>
                <a href="#!" class="text-white">Quần áo</a>
              </li>
              <li>
                <a href="#!" class="text-white">Giày, dép</a>
              </li>
              <li>
                <a href="#!" class="text-white">Đồ chơi</a>
              </li>
            </ul>
          </div>
          <!--Grid column-->

          <!--Grid column-->
          <div class="col-lg-3 col-md-6 mb-4 mb-lg-0">
            <h5 class="text-uppercase mb-4">Thanh toán</h5>

            <ul class="list-unstyled">
              <li>
                <a href="#!" class="text-white">Giao hàng & phí giao hàng</a>
              </li>

              <li>
                <a href="#!" class="text-white">Bảo hành & đổi trả</a>
              </li>

              <li>
                <a href="#!" class="text-white">Hướng dẫn mua hàng</a>
              </li>
              <li>
                <a href="#!" class="text-white">Hướng dẫn thanh toán</a>
              </li>
            </ul>
          </div>
          <!--Grid column-->

          <!--Grid column-->
          <div class="col-lg-3 col-md-6 mb-4 mb-lg-0">
            <h5 class="text-uppercase mb-4">Đăng ký nhận thông báo</h5>

            <div class="form-outline form-white mb-2">
              <input type="email" id="form5Example2" class="form-control" placeholder="Nhập địa chỉ email của bạn" />
            </div>

            <button type="submit" class="btn btn-success btn-block">Đăng ký</button>

          </div>
          <!--Grid column-->
        </div>
        <!--Grid row-->
        <div class="social-network text-center mt-2">
          <a href="https://twitter.com"><i class="fa-brands fa-twitter"></i>&nbsp;</a>
          <a href="https://www.facebook.com">&nbsp;<i class="fa-brands fa-facebook"></i>&nbsp;</a>
          <a href="https://www.instagram.com">&nbsp;<i class="fa-brands fa-instagram"></i>&nbsp;</a>
          <a href="https://www.tiktok.com">&nbsp;<i class="fa-brands fa-tiktok"></i>&nbsp;</a>
          <a href="https://www.youtube.com">&nbsp;<i class="fa-brands fa-youtube"></i></a>
        </div>
      </div>
      <!-- Grid container -->

      <!-- Copyright -->
      <div class="text-center p-3 border-top border-white">
        © 2023 Copyright:
        <a class="text-white" href="https://moomap.com/">Moomap.com</a>
      </div>
      <!-- Copyright -->
    </footer>
    
  </div>

  <!-- Modal hiển thị xem trước sản phẩm -->
  <!-- Modal hiển thị xem trước sản phẩm -->
  <div id="modal-view-product" class="modal" tabindex="-1">
    <div class="modal-dialog modal-xl">
      <div class="modal-content">
        <div class="container">
          <div class="row">
            <!-- Product Image -->
            <div class="col-lg-6 col-md-12 col-12 product-img">
              <div class="ecommerce-gallery" data-mdb-zoom-effect="true" data-mdb-auto-height="true">
                <div class="row py-3 shadow-5">
                  <div class="col-3 vertical-galery d-none d-sm-flex flex-column justify-content-between mt-2">
                    <div class="col-12">
                      <img
                        src="assets/image/product/demo-product.jpg"
                        data-mdb-img="assets/image/product/demo-product.jpg"
                        alt="Gallery image 1"
                        class="active w-100"
                      />
                    </div>
                    <div class="col-12">
                      <img
                        src="assets/image/product/demo-product.jpg"
                        data-mdb-img="assets/image/product/demo-product.jpg"
                        alt="Gallery image 2"
                        class="w-100"
                      />
                    </div>
                    <div class="col-12">
                      <img
                        src="assets/image/product/demo-product.jpg"
                        data-mdb-img="assets/image/product/demo-product.jpg"
                        alt="Gallery image 3"
                        class="w-100"
                      />
                    </div>
                    <div class="col-12">
                      <img
                        src="assets/image/product/demo-product.jpg"
                        data-mdb-img="assets/image/product/demo-product.jpg"
                        alt="Gallery image 4"
                        class="w-100"
                      />
                    </div>
                  </div>
                  <div class="col-sm-9 col-xs-12 mt-2">
                    <div class="lightbox">
                      <img
                        src="assets/image/product/demo-product.jpg"
                        alt="Gallery image 1"
                        class="ecommerce-gallery-main-img active w-100"
                      />
                    </div>
                  </div>
                  <div class="col-3 col-xs-3 mt-3 horizontal-galery">
                    <img
                      src="assets/image/product/demo-product.jpg"
                      data-mdb-img="assets/image/product/demo-product.jpg"
                      alt="Gallery image 1"
                      class="active w-100"
                    />
                  </div>
                  <div class="col-3 col-xs-3 mt-3 horizontal-galery">
                    <img
                      src="assets/image/product/demo-product.jpg"
                      data-mdb-img="assets/image/product/demo-product.jpg"
                      alt="Gallery image 2"
                      class="w-100"
                    />
                  </div>
                  <div class="col-3 col-xs-3 mt-3 horizontal-galery">
                    <img
                      src="assets/image/product/demo-product.jpg"
                      data-mdb-img="assets/image/product/demo-product.jpg"
                      alt="Gallery image 3"
                      class="w-100"
                    />
                  </div>
                  <div class="col-3 col-xs-3 mt-3 horizontal-galery">
                    <img
                      src="assets/image/product/demo-product.jpg"
                      data-mdb-img="assets/image/product/demo-product.jpg"
                      alt="Gallery image 4"
                      class="w-100"
                    />
                  </div>
                  
                </div>
              </div>

            </div>
            <!-- Product Detail -->
            <div class="col-lg-6 col-md-12 col-12 product-info py-3">
              <div class="mb-2 mt-2">
                <span class="product-available">Còn hàng</span>
              </div>
              <div class="product-title">
                <h2></h2>
              </div>
              <div class="rating-product" style="color:#F76B6A">
                <input id="average-rating" type="hidden" class="rating" data-filled="fa-solid fa-star" data-empty="fa-regular fa-star" />
                <span id="number-rating" class="text-dark">(22)</span>
              </div>
              <div class="product-price my-4">
                <h4></h4>
              </div>
              <div class="product-code">
                <strong>Mã sản phẩm: </strong>
                <span></span>
              </div>
              <div class="product-size-label mt-4">
                <strong>Kích thước: </strong>
              </div>
              <div class="product-size ">
                <!-- <input type="radio" class="btn-check mt-2" name="options" id="option1" autocomplete="off" checked>
                <label class="btn btn-outline-dark" for="option1">2Y-11-12kg</label> -->

                <!-- <input type="radio" class="btn-check" name="options" id="option2" autocomplete="off">
                <label class="btn btn-outline-dark" for="option2">4Y-14-16kg</label>

                <input type="radio" class="btn-check" name="options" id="option3" autocomplete="off">
                <label class="btn btn-outline-dark" for="option3">6Y-19-21kg</label>

                <input type="radio" class="btn-check" name="options" id="option4" autocomplete="off">
                <label class="btn btn-outline-dark" for="option4">8Y-23-25kg</label>

                <input type="radio" class="btn-check" name="options" id="option5" autocomplete="off">
                <label class="btn btn-outline-dark" for="option5">10Y-27-30kg</label> -->

              </div>

              <div class="product-quantity mt-4">
                <strong>Số lượng: </strong>
                <div class="quantity d-flex align-items-center justify-content-between">
                  <button id="btn-dec-qty" class="btn-qty dec-qty"><i class="fa-solid fa-minus"></i></button>
                  <input id="inp-qty" class="input-qty" type="number" name="qty" value="1" min="0">
                  <button id="btn-inc-qty" class="btn-qty inc-qty"><i class="fa-solid fa-plus"></i></button>
                </div>
              </div>

              <div class="action mt-4">
                <div class="d-flex justify-content-between">
                  <button id="btn-add-to-cart" class="btn btn-dark w-100 mb-2 mr-2">THÊM VÀO GIỎ</button>
                  <button id="btn-add-to-wishlist" class="btn btn-outline-dark mb-2"><i class="fa-regular fa-heart"></i></button>
                </div>
                
                <a id="buy-now" href="cart.html" class="btn btn-dark w-100" style="background-color: #00234d;">MUA NGAY</a>
              </div>

              <div class="share-product mt-3 text-center">
                <strong class="text-left">Chia sẻ: </strong>
                <a href="https://www.facebook.com">&nbsp;<i class="fa-brands fa-facebook"></i>&nbsp;</a>
                <a href="https://twitter.com"><i class="fa-brands fa-twitter"></i>&nbsp;</a>
                <a href="https://www.instagram.com">&nbsp;<i class="fa-brands fa-instagram"></i>&nbsp;</a>
                <a href="https://www.tiktok.com">&nbsp;<i class="fa-brands fa-tiktok"></i>&nbsp;</a>
                <a href="https://www.pinterest.com">&nbsp;<i class="fa-brands fa-pinterest"></i></a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

</body>

<!-- AdminLTE App -->
<script src="dist/js/adminlte.js"></script>
<!-- SweetAlert2 -->
<script src="plugins/sweetalert2/sweetalert2.min.js"></script>
<!-- Toastr -->
<script src="plugins/toastr/toastr.min.js"></script>
<script>
  // GIảm giá trị khi nhấn nút trừ
$("#btn-dec-qty").on("click", function () {
  // Tìm giá trị của phần tử input gần nhất trong ô khi nhấn nút dấu trừ
  var vInputQty = $("#inp-qty")
  var vQty = vInputQty.val();
  if (vQty > 1) {
    vQty--;
    vInputQty.val(vQty);
  }
});

// Tăng giá trị khi nhấn nút +
$("#btn-inc-qty").on("click", function () {
  // Tìm giá trị của phần tử input gần nhất trong ô khi nhấn nút dấu +
  var vInputQty = $("#inp-qty")
  var vQty = vInputQty.val();
  vQty++;
  vInputQty.val(vQty);

});


  // Set giá trị cho rating
  // $('input').rating('rate', 2.3);

  //  Chọn hình ảnh cho quần áo
  document.addEventListener("DOMContentLoaded", function () {
  const galleryImages = document.querySelectorAll(".ecommerce-gallery img");
  const mainImage = document.querySelector(".ecommerce-gallery-main-img");

  // Add event listeners to the gallery images
  galleryImages.forEach(function (image) {
  // Exclude the main image from the event listener
  if (image !== mainImage) {
    image.addEventListener("click", function () {
      // Remove the active class from all images
      galleryImages.forEach(function (img) {
        img.classList.remove("active");
      });

      // Add the active class to the clicked image
      this.classList.add("active");

      // Set the clicked image as the main image
      mainImage.src = this.getAttribute("data-mdb-img");
      mainImage.alt = this.alt;
    });
  }
});
});

  // Khi chọn kích thước khác thì giá tiền tự động thay đổi
$(".product-size").on("change", "input[name=options]", function() {
  let vRadioSelected = $(this).closest(".product-size").find("input[name=options]:checked");
  let vPriceOfSelectedSize = formatPriceToVND(vRadioSelected.attr("price"));
  let vH4ProductPrice = $(".product-price").find("h4");
  vH4ProductPrice.html(vPriceOfSelectedSize);
});

  // Add click event listener to the parent element of all nav-items
  const navContainer = document.querySelector('.nav-sidebar');

  navContainer.addEventListener('click', function (event) {
    // Check if the clicked element is a nav-item or its descendant
    if (event.target.closest('.nav-item')) {
      const navItem = event.target.closest('.nav-item');
      const checkbox = navItem.querySelector('input[type="checkbox"]');
      checkbox.checked = !checkbox.checked;
    }
  });

  // Chọn kiểu hiện thị sản phẩm trên front end
  $(".type-display").on("click", "li", function() {
    let vDivFilterSort = $(".filter-sort");
    let vTypeDisplayText = $(this).find("span").html();
    let vTypeDisplayValue = $(this).find("span").attr("type");
    let vSpanDisplayType = vDivFilterSort.find(".active-sorting");
    vSpanDisplayType.html(vTypeDisplayText + ` <i class="fas fa-angle-down"></i>`);
    vSpanDisplayType.attr("type", vTypeDisplayValue);
  });
</script>

<script>
    // VÙNG 1: VÙNG KHAI BÁO BIẾN TOÀN CỤC
    const gBASE_URL_PRODUCT = "http://localhost:8080/products/";
    const gBASE_URL = "http://localhost:8080/";
    const gTOKEN = getCookie("token");
    let gCurentPage = null;

    // Hiển thị thông báo
  var gToast = Swal.mixin({
    toast: true,
    position: 'top-end',
    showConfirmButton: false,
    timer: 3000
  });
    // VÙNG 2: VÙNG GÁN VÀ THỰC THI SỰ KIỆN CHO CÁC ELEMENT
    onPageLoading();

    // Hàm thực thi sự kiện nhấn nút chuyển trang
    $(".pagination").on("click", ".page-number", function() {
      onBtnPageNavigationClick(this);
    });

    // Thực thi sự kiện nhấn nút previous trang
    $(".pagination").on("click", ".previous-page", function() {
      onBtnPreviousPageClick(this);
    });

    // Thực thi sự kiện nhấn nút next trang
    $(".pagination").on("click", ".next-page", function() {
      onBtnNextPageClick(this);
    });

    // Thực thi sự kiện chọn các giá trị để lọc ra sản phẩm
    $("#filter-col").on("click", ".nav-treeview .nav-item", function() {
      filterProduct(0);
    });

    // Thực thi sự kiện chọn kiểu sắp xếp sản phẩm
    $(".type-display").on("click", "li", function() {
      filterProduct(0);
    });

    // Thực thi sự kiện nhấn nút xem trước sản phẩm
    $(".all-product").on("click", ".view-product", function (event) {
      onBtnViewProductClick(this);
    });

    $("#btn-add-to-cart").on("click", function() {
    onBtnAddToCartClick();
  });

  $("#buy-now").on("click", function() {
    onBtnAddToCartClick();
  });
  
  // Thực thi sự kiện nhấn nút thêm vào wishlist
  $(".all-product").on("click", ".btn-add-to-wishlist", function () {
    onBtnAddToWishListClick(this);
  });

  // Thực thi sự kiện nhấn nút thêm vào danh mục yêu thích trong modal xem chi tiết sản phẩm
  $("#btn-add-to-wishlist").on("click", function() {
    onBtnAddToWishListClickOnProductDetail();
  });

  // Thực thi sự kiện nhấn nút đăng xuất
  $(".btn-log-out").on("click", function () {
    setCookie("token", "", 1);
    window.location.href = "all-product.html";
  });

  // Thực thi sự kiện nhấn nút display fitler
  $("#btn-display-filter").on("click", function() {
    let vStatusFilterCol = $(".filter-category").css("display");
    let vFilterCol = $(".filter-x");
    let vBtnCloseFiler = $("#btn-close-filter");
    if(vStatusFilterCol == "none") {
      vBtnCloseFiler.show();
      vFilterCol.removeClass("filter-category");
    }
    else {
      vBtnCloseFiler.hide();
      vFilterCol.addClass("filter-category");
    }
  });

  // #Thực thi sự kiện nhấn nút xóa bộ lọc
  $("#btn-close-filter").on("click", function() {
    let vFilterCol = $(".filter-x");
    $(this).hide();
    vFilterCol.addClass("filter-category");
  });

  // Thực thi sự kiên nhấn nút xem danh sách đơn hàng đã đặt
  $(".list-order").on("click", function () {
    window.location.href = "list-order.html";
  });

  // Thực thi sự kiện nhấn nút dashboard thì chuyển sang trang cho nhân viên
  $(".admin-page").on("click", function () {
    window.location.href = "admin-page/dashboard.html";
  });

  // Thực thi sự kiện nhấn nút xem thông tin tài khoản thì chuyển sang trang xem chi tiết thông tin tài khoản
  $(".account-detail").on("click", function () {
    window.location.href = "account-detail.html";
  });

    // VÙNG 3: VÙNG VIẾT CÁC HÀM XỬ LÝ CÁC SỰ KIỆN
    // Hàm xử lý sự kiện tải trang
    function onPageLoading() {
      if (gTOKEN) {
        callApiToHelloUserByToken();
      }
      displayNumberOrder();
      filterProduct(0);
      displayNumberWishlist();
    }

    // Hàm xử lý sự kiện thay đổi trang
    function onBtnPageNavigationClick(paramBtn) {
      let vPageNumber = $(paramBtn).html();
      // Xóa toàn bộ sản phẩm trang hiện tại thêm mới lại
      let vListProduct = $(".list").html("");
      // Xóa toàn bộ phân trang hiện tại thêm mới lại
      let vUlPageNavigation = $(".pagination").html("");
      filterProduct(vPageNumber - 1);
    }

    // Hàm xử lý sự kiện nhấn nút previous page
    function onBtnPreviousPageClick(paramBtn) {
      let vUlPageNavigation = $(paramBtn).closest(".pagination");
      let vLiActive = vUlPageNavigation.find(".active a");
      let vCurrentPage = vLiActive.html();
      // Xóa toàn bộ sản phẩm trang hiện tại thêm mới lại
      let vListProduct = $(".list").html("");
      // Xóa toàn bộ phân trang hiện tại thêm mới lại
      vUlPageNavigation.html("");
      filterProduct(vCurrentPage - 2);
    }
    
    // Hàm xử lý sự kiện nhấn nút next page
    function onBtnNextPageClick(paramBtn) {
      let vUlPageNavigation = $(paramBtn).closest(".pagination");
      let vLiActive = vUlPageNavigation.find(".active a");
      let vCurrentPage = vLiActive.html();
      // Xóa toàn bộ sản phẩm trang hiện tại thêm mới lại
      let vListProduct = $(".list").html("");
      // Xóa toàn bộ phân trang hiện tại thêm mới lại
      vUlPageNavigation.html("");
      filterProduct(vCurrentPage);
    }

    // VÙNG 4: VÙNG VIẾT CÁC HÀM DÙNG CHUNG
    // Hàm gọi Api để load ra danh sách toàn bộ sản phẩm
    function callApiToLoadAllProduct(paramPageNumber) {
      $.ajax({
        type: "GET",
        url: gBASE_URL_PRODUCT + "customer-page/all?page=" + paramPageNumber,
        success: function(paramRes) {
          loadTotalNumberProductAndDevinePage(paramRes)
          let vListProduct = $(".list");
          loadListAllProduct(vListProduct, paramRes.content);
        },
        error: function(paramError) {
          console.log(paramError.status);
        }
      });
    }

    // Hàm thêm vào tổng sản phẩm và phân trang
    function loadTotalNumberProductAndDevinePage(paramData) {
      // Lưu số trang hiện tại
      gCurentPage = paramData.number;
      // Lấy ra tổng số trang 
      let vTotalPage = paramData.totalPages;
      // Thêm số lượng sản phẩm vào thẻ p
      let vPNumberItem = $(".number-item");
      let vNumberProduct = '(' + paramData.totalElements + ' sản phẩm )'
      vPNumberItem.html(vNumberProduct);
      let vUlPageNavigation = $(".pagination");

      // Nếu không có sản phẩm nào thì hiện thông báo lên
      if(paramData.totalElements == 0) {
        let vNotification = `<div class="products">
                              <div class="alert alert-warning">
                                Không có sản phẩm nào trong danh mục này.
                              </div>
                            </div>`
        vUlPageNavigation.append(vNotification);
        return 0;
      }

      // Nếu chỉ có 1 trang thì khỏi thêm phân trang dừng thực thi
      if(vTotalPage == 1 || vTotalPage == 0) {
        vUlPageNavigation.html("");
        return 0;
      }
      // Nếu không phải trang được chọn là trang đầu tiên thì thêm nút previous
      if(gCurentPage != 0 ) {
        let vStartPageNavigation = `<li class="page-item mx-1"><a class="page-link previous-page text-dark" href="#page-link" aria-label="Previous"><span aria-hidden="true">«</span></a></li>`
        vUlPageNavigation.append(vStartPageNavigation);
      }

      // Nếu trang hiện tại không nằm ở đầu cũng k nằm cuối thì thêm lần lượt
      if(gCurentPage != 0 && gCurentPage != vTotalPage - 1) {
        addPageLink(gCurentPage - 1);
        addPageLinkActive(gCurentPage);
        addPageLink(gCurentPage + 1);
      }
      // Nếu trang hiện tại nằm ở đầu thì thêm vào trang đầu là active còn 2 trang còn lại trang bth
      else if(gCurentPage == 0) {
        for(bI = 0; bI < vTotalPage; bI++) {
            if(bI == 0) {
              addPageLinkActive(bI);
            }else {
              addPageLink(bI);
            }
          if(bI == 2) break;
        }
      }
      // Nếu trang ở cuối và độ dài bằng 2 thì thêm hẳn trang 1 trang 2 rồi thêm active vào
      else if(gCurentPage == vTotalPage - 1 && vTotalPage == 2) {
          addPageLink(0);
          addPageLinkActive(1);
        }
        // Nếu các trường hợp còn lại thì thêm theo thứ tự 3 trang gần nhất, trang cuối là trang active
      else if(gCurentPage == vTotalPage - 1) {
          addPageLink(gCurentPage - 2);
          addPageLink(gCurentPage - 1);
          addPageLinkActive(gCurentPage);
        }
      

      if(gCurentPage != vTotalPage - 1) {
        let vEndPageNavigation = `<li class="page-item ms-1"><a class="page-link next-page text-dark" href="#page-link" aria-label="Next"><span aria-hidden="true">»</span></a></li>`
        vUlPageNavigation.append(vEndPageNavigation);
      }
    
    }
    // Hàm thêm link chuyển trang có active
    function addPageLinkActive(paramPage) {
      let vUlPageNavigation = $(".pagination");
      let vPageAdd = `<li class="page-item mx-1 active"><a class="page-link page-number text-dark" href="#page-link">` + (paramPage + 1) + `</a></li>`
      vUlPageNavigation.append(vPageAdd);
    }

    // Hàm thêm link chuyển trang không có active
    function addPageLink(paramPage) {
      let vUlPageNavigation = $(".pagination");
      vPageAdd = `<li class="page-item mx-1"><a class="page-link page-number text-dark" href="#page-link">` + (paramPage + 1) + `</a></li>`
      vUlPageNavigation.append(vPageAdd);
    }

    // Hàm lấy điều kiện lọc dữ liệu theo giới tình
    // Cái nào được check thì lấy giá trị "val" của nó val mình tự quy ước
    function getConditionFilterByGender() {
      let vUlGenderFilter = $(".gender-filter").find("input");
      let vArrCondition = [];
      for(let bI = 0; bI < vUlGenderFilter.length; bI++) {
        let vCheckBoxFilter = $(vUlGenderFilter[bI]).is(":checked");
        if(vCheckBoxFilter) {
          let vValueChecked = $(vUlGenderFilter[bI]).attr("val");
          vArrCondition.push(vValueChecked);
        }
      }
      return vArrCondition;
    }

    // Hàm lấy điều kiện để lọc dữ liệu theo dòng sản phẩm
    function getConditionFilterByLine() {
      let vUlLineFilter = $(".line-filter").find("input");
      let vArrCondition = [];
      for(let bI = 0; bI < vUlLineFilter.length; bI++) {
        let vCheckBoxFilter = $(vUlLineFilter[bI]).is(":checked");
        if(vCheckBoxFilter) {
          let vNavLinkActive = $(vUlLineFilter[bI]).closest(".nav-link");
          let vPCondition = vNavLinkActive.find("p");
          let vCondition = vPCondition.html();
          vArrCondition.push(vCondition);
        }
      }
      return vArrCondition;
    }

    // Hàm lấy điều kiện lọc sản phẩm theo giá tiền
    function getConditionFilterByPrice() {
      
      let vUlGenderFilter = $(".price-filter").find("input");
      let vArrCondition = [];
      for(let bI = 0; bI < vUlGenderFilter.length; bI++) {
        let vCheckBoxFilter = $(vUlGenderFilter[bI]).is(":checked");
        if(vCheckBoxFilter) {
          let vTypeFilter = $(vUlGenderFilter[bI]).attr("filter-type");
          vArrCondition.push(vTypeFilter);
        }
      }
      return vArrCondition;
    }

    // Hàm lấy điều kiện kiểu hiển thị bằng giá trị type 
    function getTypeDisplay() {
      let vSpanActiveSorting = $(".active-sorting");
      return vSpanActiveSorting.attr("type");

    }

    // Hàm truyền điều kiện về be để trả về dữ liệu sản phẩm
    function filterProduct(paramPage) {
      let vGenderCondition = getConditionFilterByGender();
      let vLineCondition = getConditionFilterByLine();
      let vPriceCondition = getConditionFilterByPrice();
      let vTypeSort = getTypeDisplay();
      let vAllCondition = {
        genders: vGenderCondition,
        lines: vLineCondition,
        prices: vPriceCondition,
        type: vTypeSort
      }
      $.ajax({
        type: "POST",
        url: gBASE_URL_PRODUCT + "customer-page/filter?page=" + paramPage,
        contentType: "application/json",
        data: JSON.stringify(vAllCondition),
        success: function(paramRes) {
          // Xóa toàn bộ sản phẩm trang hiện tại thêm mới lại
          let vListProduct = $(".list").html("");
          // Xóa toàn bộ phân trang hiện tại thêm mới lại
          let vUlPageNavigation = $(".pagination").html("");
          
          // Load sản phẩm
          loadListAllProduct(vListProduct, paramRes.content);
          // Phân trang
          loadTotalNumberProductAndDevinePage(paramRes);
        },
        error: function(paramError) {
          console.log(paramError);
        }
      });
    }

</script>
</html>